coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix false failure due to xargs usage


From: Pádraig Brady
Subject: [PATCH] tests: fix false failure due to xargs usage
Date: Mon, 9 Dec 2013 13:38:00 +0000

* tests/readlink/multi.sh: Ensure there is a trailing delimeter
or xargs may (on AIX 7 at least) suppress the last argument.
---
 tests/readlink/multi.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/readlink/multi.sh b/tests/readlink/multi.sh
index 3b91544..dc4ba87 100755
--- a/tests/readlink/multi.sh
+++ b/tests/readlink/multi.sh
@@ -40,7 +40,7 @@ compare exp out || fail=1
 # Note the edge case that the last xargs run may not have a delimiter
 rm out || framework_failure_
 printf '/1\0/1\0/1' > exp || framework_failure_
-printf '/1 /1 /1' | xargs -n2 readlink -n -m --zero >> out || fail=1
+printf '/1 /1 /1 ' | xargs -n2 readlink -n -m --zero >> out || fail=1
 compare exp out || fail=1
 
 Exit $fail
-- 
1.7.7.6




reply via email to

[Prev in Thread] Current Thread [Next in Thread]